Package org.kie.api.logger

## Interface KieLoggers

-     public interface KieLoggers

  KieLoggers is a factory for KieRuntimeLogger

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `KieRuntimeLogger` | `newConsoleLogger​(KieRuntimeEventManager session)` |
    `KieRuntimeLogger` | `newFileLogger​(KieRuntimeEventManager session, String fileName)` | Creates a new FileLogger with the given name for the given session.
    `KieRuntimeLogger` | `newFileLogger​(KieRuntimeEventManager session, String fileName, int maxEventsInMemory)` | Creates a new FileLogger with the given name for the given session.
    `KieRuntimeLogger` | `newThreadedFileLogger​(KieRuntimeEventManager session, String fileName, int interval)` |

- - ### Method Detail

    - #### newFileLogger

          KieRuntimeLogger newFileLogger​(KieRuntimeEventManager session,
                                         String fileName)

      Creates a new FileLogger with the given name for the given session. The maximum number of log events that are allowed in memory by default is 1000. If this number is reached, all events are written to the file.

    - #### newFileLogger

          KieRuntimeLogger newFileLogger​(KieRuntimeEventManager session,
                                         String fileName,
                                         int maxEventsInMemory)

      Creates a new FileLogger with the given name for the given session. also setting the maximum number of log events that are allowed in memory. If this number is reached, all events are written to the file. By setting maxEventsInMemory to 0 makes all events to be immediately flushed to the file. This option is slow and then not suggested in production but can be useful while debugging.

    - #### newThreadedFileLogger

          KieRuntimeLogger newThreadedFileLogger​(KieRuntimeEventManager session,
                                                 String fileName,
                                                 int interval)

    - #### newConsoleLogger

          KieRuntimeLogger newConsoleLogger​(KieRuntimeEventManager session)